/* Dies ist ein Method-Plugin. Zwei oder mehr übergebene Funktionen werden 
   auf die Elemente der Eingangscollection abwechselnd angewendet.
   Signatur: $(sel).toggleClick(fn1, fn2 [,fn3, ..., fnN]);
   fn1 : function
   fn2 : function
   ...
   fnN : function
 */
 
(function($){
 
  jQuery.fn.multiToggle = function(){
   
	var funcArray = []
	$.each(arguments, function(i, arg){
		if($.isFunction(arg)) {
     		funcArray.push(arg);
		} else {
			console.log('Zurückgewiesen: Keine Funktion!')
		}
	});
   
     return this.each(function(){
			console.log("funcArray.length: ",funcArray.length);
			this._clicked = funcArray.length;
			funcArray.reverse();
			$(this).click(function(){
			var args = arguments;
			   this._clicked--;			
			   funcArray[this._clicked].apply(this, args);

			   if(this._clicked <= 0) { 
					this._clicked = funcArray.length;
			   }
			});
	 });
 };
 
 })(jQuery);